FUNCTION::KERNEL_STR(3stap)

NAME
function::kernel_string_n - Retrieves string of given length from kernel memory

SYNOPSIS

    kernel_string_n:string(addr:long,n:long)

ARGUMENTS

addr
    The kernel address to retrieve the string from

n
    The maximum length of the string (if not null terminated)

DESCRIPTION

Returns the C string of a maximum given length from a given kernel memory address. Reports an error on string copy fault.

SEE ALSO
tapset::conversions(3stap)